Resolve anomaly
curl --request POST \
--url https://api.ipulse.one/v2/anomalies/{anomalyId}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resolution_note": "<string>"
}
'import requests
url = "https://api.ipulse.one/v2/anomalies/{anomalyId}/resolve"
payload = { "resolution_note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resolution_note: '<string>'})
};
fetch('https://api.ipulse.one/v2/anomalies/{anomalyId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ipulse.one/v2/anomalies/{anomalyId}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resolution_note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"id": 123,
"domain_id": 123,
"type": "response_time",
"severity": "low",
"title": "<string>",
"status": "open",
"description": "<string>",
"detected_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Unauthenticated."
}{
"success": false,
"message": "Resource not found."
}AI & Anomalies
Resolve anomaly
Mark an anomaly as resolved
POST
/
v2
/
anomalies
/
{anomalyId}
/
resolve
Resolve anomaly
Authorizations
bearerAuthagentAuth
API token generated from your PulseGuard dashboard
Path Parameters
Anomaly ID
Body
application/json
Optional note about the resolution
⌘I

